{**********************************************************************
 Package pl_UserControl
 this unit is part of CodeTyphon Studio (http://www.pilotlogic.com/)
***********************************************************************}

unit MsgRecForm_U;

{$MODE Delphi}

interface

uses
  LCLIntf, LCLType, LMessages,
  Variants,
  Buttons,
  Classes,
  Controls,
  Dialogs,
  ExtCtrls,
  Forms,
  Graphics,
  Messages,
  StdCtrls,
  SysUtils,
  UCBase;

type
  TMsgRecForm = class(TForm)
    Panel1: TPanel;
    lbTitulo: TLabel;
    Image1: TImage;
    lbDE: TLabel;
    stDe: TStaticText;
    lbAssunto: TLabel;
    stAssunto: TStaticText;
    lbMensagem: TLabel;
    MemoMsg: TMemo;
    btFechar: TBitBtn;
    lbData: TLabel;
    stData: TStaticText;
    procedure btFecharClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  MsgRecForm: TMsgRecForm;

implementation

uses
  UCMessages;

{$R *.lfm}

procedure TMsgRecForm.btFecharClick(Sender: TObject);
begin
  Close;
end;

procedure TMsgRecForm.FormCreate(Sender: TObject);
begin
  if not(Self.Owner is TUCApplicationMessage) then
    Exit;
  with TUCApplicationMessage(Self.Owner).UserControl.UserSettings.AppMessages do
  begin
    Self.Caption := MsgRec_WindowCaption;
    lbTitulo.Caption := MsgRec_Title;
    lbDE.Caption := MsgRec_LabelFrom;
    lbData.Caption := MsgRec_LabelDate;
    lbAssunto.Caption := MsgRec_LabelSubject;
    lbMensagem.Caption := MsgRec_LabelMessage;
    btFechar.Caption := MsgRec_BtClose;
  end;
end;

end.
